Skip to main content
POST
/
cash-pools
Create a cash-pool structure
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/cash-pools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "poolType": "physical",
  "currency": "<string>",
  "headerAccountId": "<string>",
  "memberAccountIds": [
    "<string>"
  ],
  "sweepRule": "<string>"
}
'
{
  "poolId": "cpl_01JQ9M82D4WJ8JE28A6PXVSE3H",
  "name": "Northwind EUR Liquidity Pool",
  "poolType": "physical",
  "currency": "EUR",
  "headerAccountId": "<string>",
  "memberAccountIds": [
    "<string>"
  ],
  "sweepRule": "end-of-day",
  "status": "pending"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
name
string
required
poolType
enum<string>
required
Available options:
physical,
notional
currency
string
required
headerAccountId
string
required
memberAccountIds
string[]
required
sweepRule
string

Response

Cash pool created

poolId
string
Example:

"cpl_01JQ9M82D4WJ8JE28A6PXVSE3H"

name
string
Example:

"Northwind EUR Liquidity Pool"

poolType
enum<string>
Available options:
physical,
notional
currency
string
Example:

"EUR"

headerAccountId
string
memberAccountIds
string[]
sweepRule
string
Example:

"end-of-day"

status
enum<string>
Available options:
pending,
active,
suspended,
closed